GridDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.java
Interface GridDataLocator

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ClientGridDataLocator, CustomGridControlController, EJBGridDataLocator, ServerGridDataLocator

public interface GridDataLocator
extends java.io.Serializable

Title: OpenSwing Framework

Description: Base class used to retrieve a block of rows for the grid.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`Response` | `loadData(int action, int startIndex, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.lang.Class valueObjectType, java.util.Map otherGridParams)` Method invoked by the grid to load a block or rows.

Method Detail

### loadData

    public Response loadData(int action,
                             int startIndex,
                             java.util.Map filteredColumns,
                             java.util.ArrayList currentSortedColumns,
                             java.util.ArrayList currentSortedVersusColumns,
                             java.lang.Class valueObjectType,
                             java.util.Map otherGridParams)

  Method invoked by the grid to load a block or rows.

  Parameters:
    `action` - fetching versus: PREVIOUS_BLOCK_ACTION, NEXT_BLOCK_ACTION or LAST_BLOCK_ACTION
    `filteredColumns` - filtered columns
    `currentSortedColumns` - sorted columns
    `currentSortedVersusColumns` - ordering versus of sorted columns
    `valueObjectType` - v.o. type
    `otherGridParams` - other grid parameters
  Returns:
    response from the server: an object of type VOListResponse if data loading was successfully completed, or an ErrorResponse onject if some error occours

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD